; ==================================================================================================
; Title:   IBindStatusCallback.inc
; Author:  
; Version: 1.0.0
; Purpose: Support of COM G. Friedrich callback interface for URLDownloadToFile function.
; Notes:   Version 1.0.0, November 2006.
;            - First release.
; ==================================================================================================


BEGIN_INTERFACE IBindStatusCallback, IUnknown
	STDMETHOD   OnStartBinding,               dword, Pointer
	STDMETHOD   GetPriority,                  Pointer
	STDMETHOD   OnLowResource,                dword
	STDMETHOD   OnProgress,                   dword, dword, dword, Pointer
	STDMETHOD   OnStopBinding,                HRESULT, Pointer
	STDMETHOD   GetBindInfo,                  Pointer, Pointer
	STDMETHOD   OnDataAvailable,              dword, dword, Pointer, Pointer
	STDMETHOD   OnObjectAvailable,            Pointer, Pointer
END_INTERFACE

IBindStatusCallbackID equ 123
 
Object IBindStatusCallback, IBindStatusCallbackID, IUnknown
  RedefineMethod    Done
  RedefineMethod    Init,                 Pointer, Pointer

  ;Don't change the order of the interface methods!
	InterfaceMethod   OnStartBinding,       dword, Pointer
	InterfaceMethod   GetPriority,          Pointer
	InterfaceMethod   OnLowResource,        dword
	InterfaceMethod   OnProgress,           dword, dword, dword, Pointer
	InterfaceMethod   OnStopBinding,        HRESULT, Pointer
	InterfaceMethod   GetBindInfo,          Pointer, Pointer
	InterfaceMethod   OnDataAvailable,      dword, dword, Pointer, Pointer
	InterfaceMethod   OnObjectAvailable,    Pointer, Pointer

  RedefineVariable  pIID,                 NULL
  DefineVariable    dCounter,             dword, 0
  ;...
ObjectEnd


if IMPLEMENT

; 
; Method:    IBindStatusCallback.Done
; Purpose:   
; Arguments: None.
; Return:    

Method IBindStatusCallback.Done, uses esi
    SetObject esi
    
MethodEnd

; 
; Method:    IBindStatusCallback.Init
; Purpose:   
; Arguments: Arg1: 
;            Arg2: 
; Return:    

Method IBindStatusCallback.Init,, Arg1:Pointer, Arg2:Pointer
    
MethodEnd

; 
; Method:    IBindStatusCallback.OnStartBinding
; Purpose:   
; Arguments: Arg1: 
;            Arg2: 
; Return:    

Method IBindStatusCallback.OnStartBinding,, Arg1:dword, Arg2:Pointer
    
MethodEnd

; 
; Method:    IBindStatusCallback.GetPriority
; Purpose:   
; Arguments: Arg1: 
; Return:    

Method IBindStatusCallback.GetPriority,, Arg1:Pointer
    
MethodEnd

; 
; Method:    IBindStatusCallback.OnLowResource
; Purpose:   
; Arguments: Arg1: 
; Return:    

Method IBindStatusCallback.OnLowResource,, Arg1:dword
    
MethodEnd

; 
; Method:    IBindStatusCallback.OnProgress
; Purpose:   
; Arguments: Arg1: 
;            Arg2: 
;            Arg3: 
;            Arg4: 
; Return:    

Method IBindStatusCallback.OnProgress,, Arg1:dword, Arg2:dword, Arg3:dword, Arg4:Pointer
    
MethodEnd

; 
; Method:    IBindStatusCallback.OnStopBinding
; Purpose:   
; Arguments: Arg1: 
;            Arg2: 
; Return:    

Method IBindStatusCallback.OnStopBinding,, Arg1:HRESULT, Arg2:Pointer
    
MethodEnd

; 
; Method:    IBindStatusCallback.GetBindInfo
; Purpose:   
; Arguments: Arg1: 
;            Arg2: 
; Return:    

Method IBindStatusCallback.GetBindInfo,, Arg1:Pointer, Arg2:Pointer
    
MethodEnd

; 
; Method:    IBindStatusCallback.OnDataAvailable
; Purpose:   
; Arguments: Arg1: 
;            Arg2: 
;            Arg3: 
;            Arg4: 
; Return:    

Method IBindStatusCallback.OnDataAvailable,, Arg1:dword, Arg2:dword, Arg3:Pointer, Arg4:Pointer
    
MethodEnd

; 
; Method:    IBindStatusCallback.OnObjectAvailable
; Purpose:   
; Arguments: Arg1: 
;            Arg2: 
; Return:    

Method IBindStatusCallback.OnObjectAvailable,, Arg1:Pointer, Arg2:Pointer
    
MethodEnd

endif